#property strict

#include "Buffer.mqh"

class BUFFERSCALE : public BUFFER
{
private:
// -    
  virtual void Event( const int id, const long &lparam, const double &dparam, const string &sparam )
  {
    if (id == CHARTEVENT_CHART_CHANGE)
      this.SetScale();

    return;
  }

public:
  BUFFERSCALE( const int iType, const ENUM_LINE_STYLE eStyle = EMPTY,
          const int iWidth = EMPTY, const color cColor = clrNONE, const string sName = "",
          const bool AddEvent = FALSE, const bool bInteractive = FALSE  ) :
          BUFFER(iType, eStyle, iWidth, cColor, sName, TRUE, AddEvent ? bInteractive : FALSE) // TRUE -  
  {
  }
};