#property strict

#ifndef INIT
  #include "Indicator.mqh";

  #define INIT INDICATOR;
#endif

#include "..\DefaultBody.mqh"

INDICATOR* Indicator;

int OnCalculate( const int rates_total,
                 const int prev_calculated,
                 const datetime &time[],
                 const double &open[],
                 const double &high[],
                 const double &low[],
                 const double &close[],
                 const long &tick_volume[],
                 const long &volume[],
                 const int &spread[] )
{
  return(Indicator.Calculate(rates_total, prev_calculated, time, open, high, low, close, tick_volume, volume, spread));
}

void OnInit( void )
{
  Indicator = new INIT;

  return;
}

void OnDeinit( const int reason )
{
  POINTER::DeleteObject(Indicator);

  ::ChartRedraw();

  return;
}